dev-php / symfony-dependency-injection

Symfony DependencyInjection Component

Official package sites : https://github.com/symfony/dependency-injection ·

The DependencyInjection component allows you to standardize and centralize the way objects are constructed in your application.

v2.8.50 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~x86
USE flags
test

v2.8.20 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~x86
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

dev-lang / php : The PHP language runtime engine

dev-php / fedora-autoloader : Fedora's Static PSR-4, PSR-0, and classmap autoloader

dev-php / phpunit : A PHP Unit Testing framework

dev-php / symfony-config : Symfony Config Component

dev-php / symfony-yaml : Symfony YAML Component

dev-lang / php : The PHP language runtime engine

dev-php / fedora-autoloader : Fedora's Static PSR-4, PSR-0, and classmap autoloader

dev-php / symfony-config : Symfony Config Component

dev-php / symfony-yaml : Symfony YAML Component

dev-php / phpdepend : Static code analysis for PHP

dev-php / symfony-event-dispatcher : Symfony EventDispatcher Component

Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-php/symfony-dependency-injection: bump to v2.8.50
security release Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Michael Orlitzky · gentoo
dev-php/symfony-dependency-injection: new version 2.8.20.
This new version spells out all of the source code directories to be installed, thereby avoiding the installation of junk like composer.json. I've also left a comment stating that I'm not so sure about some of the RDEPEND entries... Package-Manager: Portage-2.3.3, Repoman-2.3.1
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Michael Orlitzky · gentoo
dev-php/symfony-dependency-injection: replace v2.1.0 with v2.8.15.
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-php/symfony-dependency-injection: loosen restrictions on dependencies.
Two of this package's dependencies were declared with the tilde "~" operator. Per discussion with the maintainer, these are probably better off being "newer than" operators. We retain the lower bound set by upstream. Package-Manager: portage-2.3.0
Guillaume Seren · gentoo
dev-php/symfony-dependency-injection: Add 2.1.0 version
This is needed for composer-1.2.2, bug 439206. Signed-off-by: Michael Orlitzky <mjo@gentoo.org>